package nl.voidcorp.watchtower

import org.jetbrains.exposed.dao.id.IntIdTable

object Messages : IntIdTable() {
    val user = long("user")
    val channel = long("channel")
    val guild = long("guild")
    val message = long("message")
}

object MessageHistories : IntIdTable() {
    val original = reference("original", Messages)
    val content = text("content")
    val updated = long("updated").clientDefault { System.currentTimeMillis() }
}